## oem-config 1.23

=== debian/changelog ===
oem-config (1.23) gutsy; urgency=low

  * busybox sed doesn't support making backup files when editing in place
    (e.g. 'sed -i.oem'); chroot to edit kdmrc as well.
  * Fix GTK .desktop filename used in oem-config-prepare gksudo invocation.
  * Install .desktop files under /usr/share/applications/ at first install
    rather than shipping them there in the .debs, and remove them once
    oem-config-firstboot has been run (LP: #145281).
  * Set HOME in oem-config-dm so that iceauth is happier.
  * Start dcopserver before kwin (LP: #145226).
  * Run kdesktop too to fix the background in KDE.
  * Update translations from Rosetta.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 12 Oct 2007 15:04:03 +0100

oem-config (1.22) gutsy; urgency=low

  * Only run gnome-settings-daemon if it exists, removing dependency on
    gnome-control-center (LP: #147852).
  * GTK frontend:
    - Make sure the next button remains the default widget despite being
      hidden and re-shown.
  * Update translations from Rosetta.
  * Automatic update of included source packages: user-setup 1.14ubuntu4
    (LP: #149582).

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 06 Oct 2007 13:19:18 +0100

oem-config (1.21) gutsy; urgency=low

  * GTK frontend:
    - Work around http://bugzilla.gnome.org/show_bug.cgi?id=56070 by hiding
      and re-showing the button widgets, following a suggestion by Scott
      Horowitz.
    - Remove some duplication of work now done in oem_config.i18n.
  * Add lots of translations from Rosetta.
  * Don't ignore 'make distclean' errors other than missing Makefiles.
  * Remove d-i/source/console-setup/Keyboard/MyKeyboardNames.pl on clean.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 03 Oct 2007 01:02:55 +0100

oem-config (1.20) gutsy; urgency=low

  * Add a --quiet option to oem-config-prepare to suppress its
    acknowledgement message (and thus the dialog requiring user interaction
    if $DISPLAY is set).
  * Add internationalisation (LP: #23537). Adjusted several widget names and
    strings in the KDE frontend to bring it into sync with the GTK frontend
    for this purpose.
  * Start dcopserver when running the KDE frontend (LP: #145226).
  * Add a --debug option to oem-config-firstboot to make debugging a bit
    less painful.
  * Remove use of dh_python, since it's a no-op now. Bump debhelper
    build-dependency to 5.0.37.3ubuntu2 (a.k.a. dh_python from 5.0.38) for
    this.
  * Clean up subprocesses even if oem-config-dm is interrupted.
  * GTK frontend:
    - Go forward when activating rows in language or keyboard treeviews.
  * Make sure the selected locale at least exists (we should really install
    the language pack, but this is a stopgap measure).
  * Automatic update of included source packages: console-setup 1.16ubuntu5,
    localechooser 1.38ubuntu2, user-setup 1.14ubuntu3.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 01 Oct 2007 17:59:41 +0100

oem-config (1.19) gutsy; urgency=low

  * Run gnome-settings-daemon so that we use the normal theme (LP: #23899).
  * Use zenity or kdialog if available to display oem-config-prepare's
    acknowledgement message (LP: #131309).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 06 Sep 2007 14:38:08 +0100

oem-config (1.18) gutsy; urgency=low

  * Chroot to test for existence of gdm-cdd.conf to avoid problems with
    broken symlinks; cf. casper 1.93.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 09 Aug 2007 17:54:46 +0100

oem-config (1.17) gutsy; urgency=low

  * Move .glade and .ui files to a new top-level gui directory in the source
    package, and install them under /usr/share/oem-config/glade and
    /usr/share/oem-config/qt respectively.
  * Rename gtk-ui to gtk_ui and kde-ui to kde_ui, to make it easier to
    subclass them.
  * Break up the glade file into multiple pieces to make updates to single
    pages a lot easier (port of work done in ubiquity by Mario Limonciello).
  * Drop into pdb.post_mortem on non-SyntaxError exceptions if the --pdb
    option is given and oem-config is running from a terminal.
  * Fix title of language page: "Choose language and location" no longer
    makes sense now that the location is computed from the timezone.
  * Minor UI tweaks to sync up with ubiquity.
  * Add a warning in d-i/source/README about modifying files in this
    directory.
  * Implement the oem-config parts of the ubiquity-oem specification:
    - Fix desktop file installation harder.
    - Update user page layout to match ubiquity, including filling in a
      suggested username automatically, displaying error messages inline,
      and showing a warning message in debugging mode.
    - Set up autologin for the oem user via gdm/kdm.
    - Disable the hwdb-client notification for the created user.
    - Add a facility to run hook scripts from
      /usr/lib/oem-config/post-install just before exiting. Hook scripts are
      run noninteractively, although they can talk to debconf for database
      queries and the like if they need to.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 03 Jul 2007 14:12:45 +0100

oem-config (1.16) gutsy; urgency=low

  * Update console-setup component for Lithuanian changes in console-setup
    1.16ubuntu1.
  * Fix desktop file installation.
  * Automatic update of included source packages: console-setup 1.16ubuntu4.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 02 Jul 2007 08:54:44 +0100

oem-config (1.15) gutsy; urgency=low

  * Add an oem-config-check udeb to set an "OEM mode (for manufacturers
    only)" info message. OEM mode should now be enabled using
    oem-config/enable=true.
  * Multiply menu-item-numbers by 100.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 18 May 2007 17:55:43 +0100

oem-config (1.14) gutsy; urgency=low

  * Add an apport hook to attach /var/log/oem-config.log.
  * Strip binaries.
  * Print usage message and exit if any non-option arguments are supplied to
    oem-config; suggest oem-config-prepare (LP: #105940).


=== d-i/source/localechooser/debian/control ===
Source: localechooser
Section: debian-installer
Priority: optional
Maintainer: Ubuntu Installer Team <ubuntu-installer@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Petter Reinholdtsen <pere@debian.org>, Christian Perrier <bubulle@debian.org>, Frans Pop <fjp@debian.org>
Build-Depends: debhelper (>= 4.2)
Build-Depends-Indep: dash | ash, dpkg-dev (>= 1.9), locales, iso-codes (>= 0.21-1), intltool-debian (>= 0.30+20040212), po-debconf, python, python-xml
XS-Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/localechooser

Package: localechooser
XC-Package-Type: udeb
Architecture: all
Depends: cdebconf-udeb, iso-3166-udeb, di-utils (>= 1.15)
XB-Installer-Menu-Item: 1000
Description: choose language/country/locale

Package: localechooser-data
Section: devel
Priority: optional
Architecture: all
Depends: iso-codes
Description: Lists of locales supported by the installer
 This package contains lists of languages, countries, and locales supported
 by the installer, for use by programs that create automatic installation
 scripts.

=== d-i/source/user-setup/debian/control ===
Source: user-setup
Section: debian-installer
Priority: extra
Maintainer: Ubuntu Installer Team <ubuntu-installer@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Christian Perrier <bubulle@debian.org>, Colin Watson <cjwatson@debian.org>, Frans Pop <fjp@debian.org>
Build-Depends: debhelper (>= 4.2), dpkg-dev (>= 1.7.0), po-debconf (>= 0.5.0)
Standards-Version: 3.6.2
XS-Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/user-setup

Package: user-setup-udeb
XC-Package-Type: udeb
Architecture: all
Priority: standard
XB-Installer-Menu-Item: 6300
Description: Set up users and passwords
Depends: cdebconf-udeb

Package: user-setup
Architecture: all
Section: admin
Priority: extra
Depends: ${misc:Depends}, passwd, adduser
Description: Set up initial user and password
 This package creates an initial user, using the same code as is
 responsible for creating the initial user in the installer. It is only
 likely to be of any use if your system has no non-system users at all.

=== debian/control ===
Source: oem-config
Section: admin
Priority: extra
Maintainer: Colin Watson <cjwatson@ubuntu.com>
Build-Depends: apt, dash, debhelper (>= 5.0.37.3ubuntu2), dpkg-dev (>= 1.9), grep-dctrl, intltool-debian (>= 0.30+20040212), iso-codes (>= 0.21-1), libart-2.0-dev, libglib2.0-dev, libgtk2.0-dev, libxml-parser-perl, locales, po-debconf (>= 0.5.0), python, python-all-dev (>= 2.3.5-11), python-gtk2-dev, python-support (>= 0.3), python-xml, xkb-data (>= 0.9)
Standards-Version: 3.6.2
XS-Python-Version: current, >= 2.4

Package: oem-config
Architecture: any
Depends: ${shlibs:Depends}, ${python:Depends}, debconf (>= 1.4.52), oem-config-frontend-${source:Version}, xserver-xorg, localechooser-data, iso-codes, apt, locales (>= 2.3.7-1), ${console-setup-depends}, passwd, adduser
Recommends: hwdb-client
Conflicts: oem-config-keyboard, oem-config-locale, oem-config-timezone
Replaces: oem-config-keyboard, oem-config-locale, oem-config-timezone
XB-Python-Version: ${python:Versions}
Description: Perform end-user configuration after initial installation
 The oem-config script re-asks a number of questions that are normally asked
 during installation, and reconfigures the system accordingly. This allows a
 vendor to install a skeleton system, clone it onto a large number of
 machines, and ship it to end users, while still allowing end users to set
 up their own username and password, language, timezone, and so on.

Package: oem-config-gtk
Architecture: any
Depends: ${shlibs:Depends}, ${python:Depends}, oem-config, python-gtk2, python-glade2, metacity
Suggests: gnome-control-center
Replaces: oem-config (<< 1.0)
Provides: oem-config-frontend-${source:Version}
XB-Python-Version: ${python:Versions}
Description: GTK+ frontend for end-user post-install configuration
 The oem-config script re-asks a number of questions that are normally asked
 during installation, and reconfigures the system accordingly. This allows a
 vendor to install a skeleton system, clone it onto a large number of
 machines, and ship it to end users, while still allowing end users to set
 up their own username and password, language, timezone, and so on.
 .
 This is a GTK+ frontend to oem-config.

Package: oem-config-kde
Architecture: all
Depends: ${python:Depends}, oem-config, python-qt4, kwin
Replaces: oem-config (<< 1.0)
Provides: oem-config-frontend-${source:Version}
XB-Python-Version: ${python:Versions}
Description: KDE frontend for end-user post-install configuration
 The oem-config script re-asks a number of questions that are normally asked
 during installation, and reconfigures the system accordingly. This allows a
 vendor to install a skeleton system, clone it onto a large number of
 machines, and ship it to end users, while still allowing end users to set
 up their own username and password, language, timezone, and so on.
 .
 This is a KDE frontend to oem-config.

Package: oem-config-check
XC-Package-Type: udeb
Section: debian-installer
Priority: standard
Architecture: all
Depends: cdebconf-udeb (>= 0.75), main-menu (>= 1.03)
Description: enter OEM mode if requested

Package: oem-config-udeb
XC-Package-Type: udeb
Section: debian-installer
Architecture: all
Depends: oem-config-check, cdebconf-udeb
XB-Installer-Menu-Item: 2800
Description: Prepare for end-user configuration after initial installation

=== debian/rules ===
#! /usr/bin/make -f

VERSION := $(shell dpkg-parsechangelog | awk '/^Version:/ { print $$2 }')
AC_VERSION := $(shell grep -w '^AC_INIT' configure.ac | cut -d' ' -f2 | \
			sed 's/[][,]//g')

ifneq ($(VERSION),$(AC_VERSION))
$(warning Version $(VERSION) in debian/changelog does not match $(AC_VERSION) in configure.ac!)
endif

tmp = $(CURDIR)/debian/oem-config

PYTHON := $(shell pyversions -r)

console-setup-depends := console-setup (>= $(shell cd d-i/source/console-setup && dpkg-parsechangelog | awk '/Version:/ {print $$2}'))

update:
	$(MAKE) -C d-i update

update-local:
	$(MAKE) -C d-i update UPDATE_LOCAL=1

d-i/source/console-setup/Keyboard/MyKeyboardNames.pl:
	$(MAKE) -C d-i/source/console-setup/Keyboard MyKeyboardNames.pl \
		xkbdir=/usr/share/X11/xkb

lib/keyboard_names.py: d-i/source/console-setup/Keyboard/MyKeyboardNames.pl
	d-i/make-keyboard-names $< > $@

Makefile:
	PYTHON=$(PYTHON) ./configure --prefix=/usr

build: Makefile lib/keyboard_names.py
	$(MAKE)
	$(MAKE) -C d-i build

clean:
	dh_testdir
	dh_testroot
	find -type f -name '*.pyc' -print0 | xargs -0r rm -f
	$(MAKE) -C d-i clean
	[ ! -f Makefile ] || $(MAKE) distclean
	dh_clean d-i/source/console-setup/Keyboard/MyKeyboardNames.pl \
		 lib/keyboard_names.py

binary-arch: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs -a

	# For the meantime, nearly everything automake wants to install is
	# part of the GTK frontend.
ifndef OEM_CONFIG_NO_GTK
	$(MAKE) install DESTDIR=$(CURDIR)/debian/oem-config-gtk \
		pythondir=\$${prefix}/lib/oem-config \
		pyexecdir=\$${prefix}/lib/oem-config \
		pkgpythondir=\$${prefix}/lib/oem-config/oem_config \
		pkgpyexecdir=\$${prefix}/lib/oem-config/oem_config
	rm -rf debian/oem-config-gtk/usr/share/oem-config/pixmaps
endif
	$(MAKE) -C d-i install
	dh_install -a

	# Bits of manual installation that can't be done by dh_install
	sed -e 's,/usr/share/console-setup-mini/console-setup.config,/var/lib/dpkg/info/console-setup.config,g' \
	    -e 's,^\([[:space:]]*\)update-initramfs,\1: update-initramfs,' \
		d-i/source/console-setup/debian/console-setup.postinst \
		> debian/oem-config/usr/lib/oem-config/console/console-setup.postinst
	chmod +x debian/oem-config/usr/lib/oem-config/console/console-setup.postinst
	sed -e 's,/target,,g' \
		d-i/source/tzsetup/post-base-installer.d/*tzsetup \
		> debian/oem-config/usr/lib/oem-config/timezone/post-base-installer
	chmod +x debian/oem-config/usr/lib/oem-config/timezone/post-base-installer
	for x in user-setup user-setup-ask user-setup-apply; do \
		sed -e 's,/usr/lib/user-setup,/usr/lib/oem-config/user,g' \
		    -e 's,/bin/sh,/bin/bash,g' \
			d-i/source/user-setup/$$x \
			> debian/oem-config/usr/lib/oem-config/user/$$x; \
		chmod +x debian/oem-config/usr/lib/oem-config/user/$$x; \
	done

	cp debian/lintian-override $(tmp)/usr/share/lintian/overrides/oem-config
	dh_installdebconf -a
	echo >> debian/oem-config/DEBIAN/templates
	po2debconf --podir=debian/imported-po \
		debian/oem-config.templates-imported \
		>> debian/oem-config/DEBIAN/templates
	echo >> debian/oem-config/DEBIAN/templates
	cat d-i/templates >> debian/oem-config/DEBIAN/templates
	dh_installdocs -a
	dh_installchangelogs -a
	dh_installinit -a -n
	dh_link -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_pysupport -a /usr/lib/oem-config
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary-indep:
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs -i
	dh_install -i
	dh_installdebconf -i
	dh_installdocs -i
	dh_installchangelogs -i
	dh_link -i
	dh_compress -i
	dh_fixperms -i
	dh_pysupport -i /usr/lib/oem-config
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary: binary-arch binary-indep

.PHONY: build clean binary-arch binary-indep binary

## oem-config 1.37

=== debian/changelog ===
oem-config (1.37) hardy; urgency=low

  * Fix built-in lists of keyboard variant names (patch from ubiquity;
    LP: #106971).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 22 Apr 2008 09:59:27 +0100

oem-config (1.36) hardy; urgency=low

  * Set OVERRIDE_ALLOW_PRESEEDING=1 while calling console-setup to force it
    to allow preseeding (LP: #188492).
  * Update translations from Launchpad.
  * Automatic update of included source packages: console-setup 1.21ubuntu8.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 22 Apr 2008 01:15:50 +0100

oem-config (1.35) hardy; urgency=low

  * Properly initialize the UI object and its parent widget
    (LP: #217884).

 -- Evan Dandrea <evand@ubuntu.com>  Tue, 15 Apr 2008 16:31:04 -0400

oem-config (1.34) hardy; urgency=low

  * Port hiding the minimize button on the main window from Ubiquity.
  * Port tzmap usability fixes from ubiquity.
  * Automatic update of included source packages: console-setup
    1.21ubuntu7, localechooser 1.42ubuntu5.

 -- Evan Dandrea <evand@ubuntu.com>  Mon, 14 Apr 2008 22:27:11 -0400

oem-config (1.33) hardy; urgency=low

  * Fix ownership of /home/oem/Desktop (LP: #209683).
  * Automatic update of included source packages: console-setup 1.21ubuntu5,
    tzsetup 1:0.20.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 01 Apr 2008 14:33:33 +0100

oem-config (1.32) hardy; urgency=low

  [ Evan Dandrea ]
  * Use a GtkEventBox rather than a GtkScrolledWindow for the tzmap to
    match ubiquity (LP: #198179)
  * Port changes to zoommap.py from ubiquity:
    - Use a black border around tzmap points to assist the visually
      impaired.
    - Flash the currently selected location on the tzmap so that it's easier
      to spot.
    - When clicking on the tzmap, if the closest match is already selected,
      take the next closest.
    - Place the tzmap in an AspectFrame so it doesn't look distorted on
      widescreen displays (LP: #200152).
  * Center the oem-config window to match ubiquity.
  * Port fix for correctly answering the countrychooser/country-name question
    from ubiquity (was LP #174937) (LP: #203648).
  * Automatic update of included source packages: localechooser
    1.42ubuntu3.

  [ Colin Watson ]
  * Ensure that our build fails if one of the d-i components fails to build.
  * Add a check-manifest tool to ensure that d-i/manifest is in sync with
    d-i/source/ on upload (from ubiquity).
  * Don't clean console-setup; bits of it are intentionally missing from our
    copy, and it's not necessary.
  * Now that we allow user creation even if a non-system user already
    exists, we can only delete the temporary oem user once oem-config has
    actually succeeded (LP: #153311).

  [ Jonathan Riddell ]
  * kde_ui:
    - Load new Kubuntu wallpaper, also fix background if it can't find wallpaper
    - Load Oxygen icons if available

 -- Evan Dandrea <evand@ubuntu.com>  Tue, 25 Mar 2008 16:32:01 -0400

oem-config (1.31) hardy; urgency=low

  [ Colin Watson ]
  * Remove /etc/udev/rules.d/70-persistent-cd.rules and
    /etc/udev/rules.d/70-persistent-net.rules in oem-config-prepare, in case
    the system is going to be cloned.
  * Remove /home/oem/.ssh/known_hosts in oem-config-prepare. If ssh was used
    then this might be slightly sensitive.
  * Allow user creation even if a non-system user already exists (thanks,
    Torsten Spindler; LP: #153310).

  [ Evan Dandrea ]
  * Port zoommap fixes from ubiquity.
  * Automatic update of included source packages: console-setup
    1.21ubuntu4, user-setup 1.16ubuntu5.

 -- Evan Dandrea <evand@ubuntu.com>  Tue, 04 Mar 2008 11:51:16 -0500

oem-config (1.30) hardy; urgency=low

  [ Evan Dandrea ]
  * Fix zoommap import, references to ubiquity (LP: #194491).

  [ Matthias Klose ]
  * Automatic update of included source packages.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 29 Feb 2008 20:41:40 +0000

oem-config (1.29) hardy; urgency=low

  * Drop build dependency on python-xml.
  * d-i/source/localechooser/iso3166tab.py: Include ErrorPrinter and
    DefaultHandler from obsolete saxutils.py

 -- Matthias Klose <doko@ubuntu.com>  Fri, 29 Feb 2008 15:45:24 +0000

oem-config (1.28) hardy; urgency=low

  [ Colin Watson ]
  * Build-depend on dctrl-tools rather than grep-dctrl.

  [ Evan Dandrea ]
  * Use new timezone widget from Ubiquity.  oem-config now shrinks to a
    much smaller size (LP: #191823).

 -- Evan Dandrea <evand@ubuntu.com>  Wed, 20 Feb 2008 10:49:44 -0500

oem-config (1.27) hardy; urgency=low

  [ Colin Watson ]
  * Call 'fontconfig-voodoo --auto --force --quiet' on startup and when the
    language is changed. May help with LP #185269.

  [ Evan Dandrea ]
  * Updated the location of gnome-settings-daemon (LP: #190029).
  * Automatic update of included source packages: console-setup
    1.21ubuntu2.

 -- Evan Dandrea <evand@ubuntu.com>  Thu, 07 Feb 2008 16:36:50 -0500

oem-config (1.26) hardy; urgency=low

  * Activate appropriate input methods when changing language (LP: #181857).
  * Update console-setup component for layout and variant changes in
    console-setup 1.21ubuntu1.
  * Automatic update of included source packages: console-setup 1.21ubuntu1,
    user-setup 1.16ubuntu3.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 28 Jan 2008 23:59:56 +0000

oem-config (1.25) hardy; urgency=low

  [ Colin Watson ]
  * Update d-i/update-control to work with the new Dpkg::Deps module in
    dpkg-dev 1.14.8.
  * Append to /var/log/oem-config.log rather than overwriting it.

  [ Evan Dandrea ]
  * Copy the value of debian-installer/locale over to the target system
    so that it gets used by oem-config as the default language
    selection (LP: #181291).
  * Properly handle situations where localechooser might ask
    languagechooser/language-name-*.
  * Automatic update of included source packages: console-setup
    1.19ubuntu2.

 -- Evan Dandrea <evand@ubuntu.com>  Fri, 11 Jan 2008 11:03:35 -0500

oem-config (1.24) hardy; urgency=low



=== debian/control ===
--- 
+++ 
@@ -2,13 +2,14 @@
 Section: admin
 Priority: extra
 Maintainer: Colin Watson <cjwatson@ubuntu.com>
-Build-Depends: apt, dash, debhelper (>= 5.0.37.3ubuntu2), dpkg-dev (>= 1.9), grep-dctrl, intltool-debian (>= 0.30+20040212), iso-codes (>= 0.21-1), libart-2.0-dev, libglib2.0-dev, libgtk2.0-dev, libxml-parser-perl, locales, po-debconf (>= 0.5.0), python, python-all-dev (>= 2.3.5-11), python-gtk2-dev, python-support (>= 0.3), python-xml, xkb-data (>= 0.9)
+Build-Depends: apt, dash, dctrl-tools, debhelper (>= 5.0.37.3ubuntu2), dpkg-dev (>= 1.9), intltool-debian (>= 0.30+20040212), iso-codes (>= 0.21-1), libart-2.0-dev, libglib2.0-dev, libgtk2.0-dev, libxml-parser-perl, locales, po-debconf (>= 0.5.0), python (>= 2.4), python-all-dev (>= 2.3.5-11), python-central (>= 0.5), python-gtk2-dev, tzdata, xkb-data (>= 0.9)
 Standards-Version: 3.6.2
 XS-Python-Version: current, >= 2.4
+Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/oem-config/trunk
 
 Package: oem-config
 Architecture: any
-Depends: ${shlibs:Depends}, ${python:Depends}, debconf (>= 1.4.52), oem-config-frontend-${source:Version}, xserver-xorg, localechooser-data, iso-codes, apt, locales (>= 2.3.7-1), ${console-setup-depends}, passwd, adduser
+Depends: ${shlibs:Depends}, ${python:Depends}, debconf (>= 1.4.52), oem-config-frontend-${mangled-version}, xserver-xorg, localechooser-data, iso-codes, apt, locales (>= 2.3.7-1), ${console-setup-depends}, passwd, adduser
 Recommends: hwdb-client
 Conflicts: oem-config-keyboard, oem-config-locale, oem-config-timezone
 Replaces: oem-config-keyboard, oem-config-locale, oem-config-timezone
@@ -22,10 +23,10 @@
 
 Package: oem-config-gtk
 Architecture: any
-Depends: ${shlibs:Depends}, ${python:Depends}, oem-config, python-gtk2, python-glade2, metacity
+Depends: ${shlibs:Depends}, ${python:Depends}, oem-config, python-gtk2, python-glade2, python-cairo, metacity
 Suggests: gnome-control-center
 Replaces: oem-config (<< 1.0)
-Provides: oem-config-frontend-${source:Version}
+Provides: oem-config-frontend-${mangled-version}
 XB-Python-Version: ${python:Versions}
 Description: GTK+ frontend for end-user post-install configuration
  The oem-config script re-asks a number of questions that are normally asked
@@ -40,7 +41,7 @@
 Architecture: all
 Depends: ${python:Depends}, oem-config, python-qt4, kwin
 Replaces: oem-config (<< 1.0)
-Provides: oem-config-frontend-${source:Version}
+Provides: oem-config-frontend-${mangled-version}
 XB-Python-Version: ${python:Versions}
 Description: KDE frontend for end-user post-install configuration
  The oem-config script re-asks a number of questions that are normally asked

## oem-config 1.37.2

=== debian/imported-po/Makefile ===
all: update

templates.pot: ../oem-config.templates-imported
	debconf-updatepo --skip-merge --podir=.

update: templates.pot
	@if [ -z "$(GTK_PO)" ]; then \
		echo "Set GTK_PO to the location of a current GTK+ po/ directory." >&2; \
		exit 1; \
	fi
	rm -f *.po
	for p in $(GTK_PO)/*.po; do \
		[ -f "$$p" ] || continue; \
		b="$$(basename "$$p")"; \
		[ -f "../po/$$b" ] || continue; \
		msgmerge -q "$$p" templates.pot | \
		msgattrib --translated --no-fuzzy --no-obsolete -o "$$b" -; \
	done

=== debian/changelog ===
oem-config (1.37.2) hardy-proposed; urgency=low

  * Update translations from Launchpad.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 02 Jun 2008 23:04:12 +0100

oem-config (1.37.1) hardy-proposed; urgency=low

  [ Evan Dandrea ]
  * Disable the close button (LP: #190234).

  [ Colin Watson ]
  * Don't fail to set the locale if the mirror/country question doesn't
    exist.
  * Disable support for console-setup preseeding again, as it interferes
    with the more important goal of inferring a default keyboard from the
    selected locale (LP: #219209).

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 01 Jun 2008 13:30:52 +0100

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,7 @@
 VERSION := $(shell dpkg-parsechangelog | awk '/^Version:/ { print $$2 }')
 AC_VERSION := $(shell grep -w '^AC_INIT' configure.ac | cut -d' ' -f2 | \
 			sed 's/[][,]//g')
+MANGLED_VERSION := $(subst ~,-,$(VERSION))
 
 ifneq ($(VERSION),$(AC_VERSION))
 $(warning Version $(VERSION) in debian/changelog does not match $(AC_VERSION) in configure.ac!)
@@ -42,6 +43,8 @@
 	[ ! -f Makefile ] || $(MAKE) distclean
 	dh_clean d-i/source/console-setup/Keyboard/MyKeyboardNames.pl \
 		 lib/keyboard_names.py
+
+	$(MAKE) -C d-i check
 
 binary-arch: build
 	dh_testdir
@@ -95,10 +98,10 @@
 	dh_strip -a
 	dh_compress -a
 	dh_fixperms -a
-	dh_pysupport -a /usr/lib/oem-config
+	dh_pycentral -a
 	dh_installdeb -a
 	dh_shlibdeps -a
-	dh_gencontrol -a
+	dh_gencontrol -a -- -Vmangled-version='$(MANGLED_VERSION)'
 	dh_md5sums -a
 	dh_builddeb -a
 
@@ -114,9 +117,9 @@
 	dh_link -i
 	dh_compress -i
 	dh_fixperms -i
-	dh_pysupport -i /usr/lib/oem-config
+	dh_pycentral -i
 	dh_installdeb -i
-	dh_gencontrol -i
+	dh_gencontrol -i -- -Vmangled-version='$(MANGLED_VERSION)'
 	dh_md5sums -i
 	dh_builddeb -i

## oem-config 1.37.2netbook1

=== d-i/source/console-setup/debian/changelog ===
console-setup (1.21ubuntu8) hardy; urgency=low

  * Rebuild against xkeyboard-config 1.1~cvs.20080104.1-1ubuntu6.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 21 Apr 2008 20:40:40 +0100

console-setup (1.21ubuntu7) hardy; urgency=low

  * Honour OVERRIDE_ALLOW_PRESEEDING environment variable when deciding
    whether to allow preseeding, which is ordinarily only allowed in d-i
    (LP: #188492).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 14 Apr 2008 11:49:55 +0100

console-setup (1.21ubuntu6) hardy; urgency=low

  * Handle some special cases for the KPDL key (LP: #189529).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 02 Apr 2008 00:06:25 +0100

console-setup (1.21ubuntu5) hardy; urgency=low

  * Silence error messages for keycodes 214, 215, 216, and 217, which are
    various special keys in the default X.org PC keyboard map that we don't
    need to handle.
  * Map dead_stroke to U+002D HYPHEN-MINUS.
  * Add a "Do not configure keyboard; keep kernel keymap" model option,
    preseedable by console-setup/modelcode=SKIP (LP: #59889).
  * Drop the layout/variant priority to high on fresh installs
    (LP: #205959).
  * Support rules with multiple consequents (thanks, Adam Simpkins;
    LP: #139710).
  * Allow specifying alternate rules using XKBRULES (thanks, Adam Simpkins;
    LP: #139712).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 31 Mar 2008 14:33:25 +0100

console-setup (1.21ubuntu4) hardy; urgency=low

  * Set default layout for Kurdish to tr(ku) (LP: #28683).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 03 Mar 2008 13:46:06 +0000

console-setup (1.21ubuntu3) hardy; urgency=low

  * Set default layout for Vietnam to 'us' (LP: #191451).
  * Treat 'any' as a synonym for 'NoSymbol' in XKB input files (LP: #93077).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 26 Feb 2008 14:05:12 +0000

console-setup (1.21ubuntu2) hardy; urgency=low

  * Set default for Dutch to us(intl), not just us (LP: #129982).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 29 Jan 2008 00:14:54 +0000

console-setup (1.21ubuntu1) hardy; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Use keymapper to generate decision trees for a restricted subset of
      the pc105 model.
    - If the detect-keyboard debconf plugin is available
      (cdebconf-newt-detect-keys in the installer), then offer to use it to
      detect the keyboard layout.
    - Reset console-setup/toggle to the default if it's set to "No toggling"
      and you select a non-Latin layout.
    - Change the default font from Terminus to VGA where supported.
    - Run kbd_mode on each tty in ACTIVE_CONSOLES rather than on the current
      tty, since the current tty might belong to X and changing X's tty out
      of raw mode is a very bad idea.
    - Automatically save the font and keymap to /etc in
      /etc/init.d/console-setup if it isn't being run from init. Similarly,
      ensure that the font and keymap are saved to /etc during initial
      installation.
    - Disable workaround in ckbcomp for the kernel not applying Caps Lock to
      non-ASCII letters, except for Turkish layouts; the cure is worse than
      the disease because it makes Caps Lock equivalent to Shift Lock.
    - Set keymap and font in the initramfs if possible.
    - Set default variant for French to oss.
    - Fix handling of commas in layout and variant names.
    - Fix keymap reduction not to try to express keymap A in terms of keymap
      B when B includes keys not mapped by A.
    - debian/config.proto: Set sparc default model to pc105.
    - Remove 'exit 0' from the end of debian/config.proto; this will be
      sourced from the postinst in the installer, and exiting in the
      successful case means that /etc/default/console-setup never gets
      generated.
    - Switch back to console-tools-udeb for now.
    - Stop running debconf-updatepo on clean.
  * Update for new layouts and variants for Japan, Montenegro, and Serbia,
    and migrate configuration files from the old layouts.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 28 Jan 2008 23:01:31 +0000

console-setup (1.21) unstable; urgency=low

  * Silently ignore 'vendor' tag in xorg.xml.
  * Use 'chomp' rather than 'chop' in ckbcomp to deal with XKB symbols files
    that are missing their final newline (closes: #461191).

 -- Colin Watson <cjwatson@debian.org>  Thu, 17 Jan 2008 12:58:25 +0000

console-setup (1.20) unstable; urgency=low

  [ Colin Watson ]
  * Set default model to pc105 on powerpc/ps3 and powerpc/cell systems.
  * Clean up the package description a little.
  * Only default to Canadian layout for fr_CA; use U.S. English for other
    *_CA locales (LP: #64418).
  * Improve ckbcomp(1) formatting.
  * Run setupcon with --save in the postinst to ensure that required data is
    copied to /etc.
  * Load the saved keymap in /etc/console-setup/boottime.kmap.gz if
    available rather than running ckbcomp (which is slow), unless we're
    being called with --save or --save-only.

  [ Debconf templates translations ]
  * Belarusian. Closes: #447109
  * Galician. Closes: #447940
  * Russian.

  [ Christian Perrier ]
  * Correct "Provides:" in console-setup init script to allow insserv
    to insert console-setup properly in the boot sequence.
    Thanks to Petter Reinholdtsen for the patch. Closes: #458486
  * Add the required "Default-Stop" and "Required-Stop" fields in the
    init.d/console-setup script.
  * Set myself as Uploader.
  * Fixing lintian warnings:
    - Remove "perl, libxml-parser-perl" from Build-Depends. They were
      duplicated in Build-Depends-Indep
    - Do not ignore non-zero exit status of "make maintainer-clean" in the
      clean target
    - Turn console-setup/dont_ask_layout into an error template. That'll
      get rid of the lintian warning and this is more accurate anyway.
  * Fixing lintian errors:
    - No longer install an example file in 
      /usr/share/doc/console-setup-mini/examples/console-setup
      for the udeb package



=== d-i/source/tzsetup/debian/changelog ===
tzsetup (1:0.20) unstable; urgency=low

  [ Updated translations ]
  * Amharic (am.po) by tegegne tefera
  * Bulgarian (bg.po) by Damyan Ivanov
  * Finnish (fi.po) by Esko Arajärvi
  * Hindi (hi.po) by Kumar Appaiah
  * Indonesian (id.po) by Arief S Fitrianto
  * Central Khmer (km.po) by Khoem Sokhem
  * Korean (ko.po) by Changwoo Ryu
  * Kurdish (ku.po) by Erdal Ronahi
  * Latvian (lv.po) by Viesturs Zarins
  * Malayalam (ml.po) by Praveen|പ്രവീണ്‍ A|എ
  * Panjabi (pa.po) by Amanpreet Singh Alam
  * Slovak (sk.po) by Ivan Masár
  * Slovenian (sl.po) by Matej Kovacic
  * Turkish (tr.po) by Recai Oktaş
  * Traditional Chinese (zh_TW.po) by Tetralet

 -- Otavio Salvador <otavio@debian.org>  Fri, 15 Feb 2008 09:18:24 -0200

tzsetup (1:0.19) unstable; urgency=low

  [ Frans Pop ]
  * Convert time zone selection templates to use Choices-C. This makes the
    huge note for translators largely redundant and should lead to less
    translation errors.
  * Print country name instead of code in translator comment for time zones.

  [ Christian Perrier ]
  * Split out _Choices in __Choices. This will even more minimize the
    translation errors.

  [ Otavio Salvador ]
  * Change tzsetup-udeb.install to avoid .svn dirs on post-base-installer.d.

  [ Updated translations ]
  * Belarusian (be.po) by Hleb Rubanau
  * Bulgarian (bg.po) by Damyan Ivanov
  * Bengali (bn.po) by Jamil Ahmed
  * Catalan (ca.po) by Jordi Mallach
  * Czech (cs.po) by Miroslav Kure
  * German (de.po) by Jens Seidel
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * Basque (eu.po) by Piarres Beobide
  * French (fr.po) by Christian Perrier
  * Hebrew (he.po) by Lior Kaplan
  * Hungarian (hu.po) by SZERVÁC Attila
  * Italian (it.po) by Stefano Canepa
  * Japanese (ja.po) by Kenshi Muto
  * Korean (ko.po) by Sunjae Park
  * Lithuanian (lt.po) by Kęstutis Biliūnas
  * Nepali (ne.po) by Nabin Gautam
  * Dutch (nl.po) by Bart Cornelis
  * Norwegian Nynorsk (nn.po) by Håvard Korsvoll
  * Polish (pl.po) by Bartosz Fenski
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)
  * Portuguese (pt.po) by Miguel Figueiredo
  * Russian (ru.po) by Yuri Kozlov
  * Slovak (sk.po) by Peter Mann
  * Swedish (sv.po) by Daniel Nylander
  * Tamil (ta.po) by Dr.T.Vasudevan
  * Thai (th.po) by Theppitak Karoonboonyanan
  * Vietnamese (vi.po) by Clytie Siddall
  * Simplified Chinese (zh_CN.po) by Ming Hua
  
 -- Otavio Salvador <otavio@debian.org>  Sat, 27 Oct 2007 12:25:39 -0200

tzsetup (1:0.18) unstable; urgency=low

  [ Christian Perrier ]
  * Consistent spelling of "time zone" in debconf templates.
    Translations unfuzzied
  * Menu entry and progress bar corrected for proper English
    (missing article)

  [ Joey Hess ]
  * Add build-dep on tzdata as it's used explicitly.
  * No longer provide a d-i menu item. Needs clock-setup 0.90, which calls it
    from its menu item.

  [ Updated translations ]
  * Bulgarian (bg.po) by Damyan Ivanov
  * Bengali (bn.po) by Jamil Ahmed
  * Catalan (ca.po) by Jordi Mallach
  * Czech (cs.po) by Miroslav Kure
  * Danish (da.po) by Claus Hindsgaul
  * German (de.po) by Jens Seidel
  * Dzongkha (dz.po) by Tshewang Norbu
  * Esperanto (eo.po) by Serge Leblanc
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * Basque (eu.po) by Piarres Beobide
  * French (fr.po) by Christian Perrier
  * Galician (gl.po) by Jacobo Tarrio
  * Hebrew (he.po) by Lior Kaplan
  * Hungarian (hu.po) by SZERVÁC Attila
  * Japanese (ja.po) by Kenshi Muto
  * Norwegian Bokmal (nb.po) by Bjørn Steensrud
  * Dutch (nl.po) by Frans Pop
  * Punjabi (Gurmukhi) (pa.po) by A S Alam
  * Portuguese (pt.po) by Miguel Figueiredo
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)
  * Romanian (ro.po) by Eddy Petrișor
  * Russian (ru.po) by Yuri Kozlov
  * Albanian (sq.po) by Elian Myftiu
  * Swedish (sv.po) by Daniel Nylander
  * Tamil (ta.po) by Dr.T.Vasudevan
  * Thai (th.po) by Theppitak Karoonboonyanan
  * Tagalog (tl.po) by Eric Pareja
  * Ukrainian (uk.po)
  * Vietnamese (vi.po) by Clytie Siddall
  * Wolof (wo.po) by Mouhamadou Mamoune Mbacke
  * Simplified Chinese (zh_CN.po) by Ming Hua

 -- Joey Hess <joeyh@debian.org>  Wed, 25 Jul 2007 13:38:53 -0400

tzsetup (1:0.17) unstable; urgency=low

  * Multiply menu-item-numbers by 100

  [ Updated translations ]
  * Esperanto (eo.po) by Serge Leblanc
  * Basque (eu.po) by Piarres Beobide

 -- Joey Hess <joeyh@debian.org>  Tue, 10 Apr 2007 14:37:05 -0400

tzsetup (1:0.16) unstable; urgency=low

  [ Updated translations ]
  * Hebrew (he.po) by Lior Kaplan
  * Malayalam (ml.po) by Praveen A

 -- Frans Pop <fjp@debian.org>  Tue, 27 Feb 2007 17:01:06 +0100

tzsetup (1:0.15) unstable; urgency=low

  [ Updated translations ]
  * Arabic (ar.po) by Ossama M. Khayat
  * Danish (da.po) by Claus Hindsgaul
  * Basque (eu.po) by Piarres Beobide
  * Latvian (lv.po) by Aigars Mahinovs
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)
  * Romanian (ro.po) by Eddy Petri?or
  * Slovenian (sl.po) by Matej Kovačič

 -- Frans Pop <fjp@debian.org>  Wed, 31 Jan 2007 11:56:25 +0100

=== debian/changelog ===
oem-config (1.37.2netbook1) hardy; urgency=low

  * Quiltize
  * Add auto-login.patch to allow logging user in automatically
  * Add focus-username.patch to fix focus issue on user page
  * Add show-later.patch to fix jittering of main window size
  * Add unencrypted-keyring.patch to drop password protection on keyring
  * Add set-lang.patch to fix setting default locale

 -- Michael Terry <michael.terry@canonical.com>  Fri, 18 Jul 2008 10:20:57 -0400

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: admin
 Priority: extra
 Maintainer: Colin Watson <cjwatson@ubuntu.com>
-Build-Depends: apt, dash, dctrl-tools, debhelper (>= 5.0.37.3ubuntu2), dpkg-dev (>= 1.9), intltool-debian (>= 0.30+20040212), iso-codes (>= 0.21-1), libart-2.0-dev, libglib2.0-dev, libgtk2.0-dev, libxml-parser-perl, locales, po-debconf (>= 0.5.0), python (>= 2.4), python-all-dev (>= 2.3.5-11), python-central (>= 0.5), python-gtk2-dev, tzdata, xkb-data (>= 0.9)
+Build-Depends: apt, dash, dctrl-tools, debhelper (>= 5.0.37.3ubuntu2), dpkg-dev (>= 1.9), intltool-debian (>= 0.30+20040212), iso-codes (>= 0.21-1), libart-2.0-dev, libglib2.0-dev, libgtk2.0-dev, libxml-parser-perl, locales, po-debconf (>= 0.5.0), python (>= 2.4), python-all-dev (>= 2.3.5-11), python-central (>= 0.5), python-gtk2-dev, tzdata, xkb-data (>= 0.9), quilt
 Standards-Version: 3.6.2
 XS-Python-Version: current, >= 2.4
 Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/oem-config/trunk

=== d-i/source/user-setup/debian/rules ===
#!/usr/bin/make -f

export DH_OPTIONS

build:
	dh_testdir

clean:
	dh_testdir
	dh_testroot
	dh_clean debian/user-setup.templates

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_install -i

binary-indep: DH_OPTIONS=-i
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installchangelogs
	cp -a debian/user-setup-udeb.templates debian/user-setup.templates
	dh_installdebconf
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_builddeb

binary-arch: build install

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #! /usr/bin/make -f
+
+include /usr/share/quilt/quilt.make
 
 VERSION := $(shell dpkg-parsechangelog | awk '/^Version:/ { print $$2 }')
 AC_VERSION := $(shell grep -w '^AC_INIT' configure.ac | cut -d' ' -f2 | \
@@ -31,11 +33,11 @@
 Makefile:
 	PYTHON=$(PYTHON) ./configure --prefix=/usr
 
-build: Makefile lib/keyboard_names.py
+build: $(QUILT_STAMPFN) Makefile lib/keyboard_names.py
 	$(MAKE)
 	$(MAKE) -C d-i build
 
-clean:
+clean: unpatch
 	dh_testdir
 	dh_testroot
 	find -type f -name '*.pyc' -print0 | xargs -0r rm -f

## oem-config 1.37.2netbook2

=== debian/changelog ===
oem-config (1.37.2netbook2) hardy; urgency=low

  * Add remove-unused-langpacks.patch to save space after install by apt-get
    removing any language-pack-* packages that aren't related to the selected
    locale.

 -- Michael Terry <michael.terry@canonical.com>  Thu, 24 Jul 2008 14:21:52 -0400

=== d-i/source/user-setup/debian/control ===
--- 
+++ 
@@ -6,13 +6,14 @@
 Uploaders: Christian Perrier <bubulle@debian.org>, Colin Watson <cjwatson@debian.org>, Frans Pop <fjp@debian.org>
 Build-Depends: debhelper (>= 4.2), dpkg-dev (>= 1.7.0), po-debconf (>= 0.5.0)
 Standards-Version: 3.6.2
-XS-Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/user-setup
+XS-Original-Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/user-setup
+Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/user-setup/ubuntu
 
 Package: user-setup-udeb
 XC-Package-Type: udeb
 Architecture: all
 Priority: standard
-XB-Installer-Menu-Item: 6300
+XB-Installer-Menu-Item: 6900
 Description: Set up users and passwords
 Depends: cdebconf-udeb

## oem-config 1.37.2netbook3

=== debian/changelog ===
oem-config (1.37.2netbook3) hardy; urgency=low

  * Fix stupid implementation of remove-unused-langpacks.patch.  This is much
    faster.

 -- Michael Terry <michael.terry@canonical.com>  Mon, 28 Jul 2008 12:11:35 -0400

## oem-config 1.37.2netbook4

=== debian/changelog ===
oem-config (1.37.2netbook4) hardy; urgency=low

  * upstart.patch: Have oem-config-prepare enable oem-config upstart task
    and disable gdm upstart task. Have oem-config-firstboot disable
    oem-config upstart task.
  * After oem configuration has completed, have oem-config upstart task
    re-enable gdm upstart task and then manually start gdm

 -- Debbie Beliveau <debbie.beliveau@canonical.com>  Tue, 05 Aug 2008 22:36:48 +0000

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
 
 Package: oem-config-gtk
 Architecture: any
-Depends: ${shlibs:Depends}, ${python:Depends}, oem-config, python-gtk2, python-glade2, python-cairo, metacity
+Depends: ${shlibs:Depends}, ${python:Depends}, oem-config, python-gtk2, python-glade2, python-cairo, metacity, language-selector-common
 Suggests: gnome-control-center
 Replaces: oem-config (<< 1.0)
 Provides: oem-config-frontend-${mangled-version}

## oem-config 1.37.2netbook5

=== debian/changelog ===
oem-config (1.37.2netbook5) hardy; urgency=low

  * Add hostname.patch to set hostname to user's name (rather than previous
    default of "ume").

 -- Michael Terry <michael.terry@canonical.com>  Thu, 14 Aug 2008 08:58:26 -0400

## oem-config 1.37.2netbook6

=== debian/changelog ===
oem-config (1.37.2netbook6) hardy; urgency=low

  * Add add-langpacks.patch to call language-installer when done with
    oem-config
  * Fix hostname.patch to update hostname for current session as well as
    in /etc/hostname

 -- Michael Terry <michael.terry@canonical.com>  Tue, 26 Aug 2008 15:57:42 -0400

## oem-config 1.37.2netbook7

=== debian/changelog ===
oem-config (1.37.2netbook7) hardy; urgency=low

  * Update pos for UNR

 -- Kyle Nitzsche <kyle.nitzsche@canonical.com>  Tue, 16 Sep 2008 22:05:47 +0000

## oem-config 1.37.2netbook8

=== debian/changelog ===
oem-config (1.37.2netbook8) hardy; urgency=low

  * debian/patches/username-blacklist.patch:
    - Don't allow oem as a username. (LP: #273282)

 -- Michael Terry <michael.terry@canonical.com>  Mon, 29 Sep 2008 11:28:41 -0400

## oem-config 1.37.2netbook9

=== debian/changelog ===
oem-config (1.37.2netbook9) hardy; urgency=low

  * debian/patches/fix-country-name.patch:
    - Fix parsing of country name to allow spaces (LP: #276258)
  * debian/patches/fix-default-timezone.patch:
    - Fix setting of default timezone when the system has a list of choices

 -- Michael Terry <michael.terry@canonical.com>  Tue, 30 Sep 2008 14:31:06 -0400
